using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Binarni_nizovi_bez_susednih_jedinica
{
    class Program
    {
        static string odstampaj(byte[] m, int n)
        {
            string s = m.Select(v =>
            {
                switch (v)
                {
                    case 0: return "00";
                    case 1: return "01";
                    case 2: return "10";
                    case 3: return "//";
                    default: return null;
                }
            }).Aggregate((a, b) => a + b);
            if (n % 2 == 0) return s;
            else return s.Substring(1);
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int len = n % 2 == 0 ? n / 2 : n / 2 + 1;
            byte[] m = new byte[len];
            bool imaPrethodni, gotov = false;
            Console.WriteLine(odstampaj(m, n));
            while (true)
            {
                m[len - 1]++;
                for (int i = len - 1; i >= 0; i--)
                {
                    imaPrethodni = i > 0;
                    if (m[i] == 3)
                    {
                        if (imaPrethodni)
                            { m[i - 1]++; m[i] = 0; }
                        else { gotov = true; break; }
                    }
                    else if (m[i] == 2 && imaPrethodni)
                    {
                        if (m[i - 1] == 1)
                            { m[i - 1]++; m[i] = 0; }
                    }
                    else break;
                }
                if (gotov || (n % 2 == 1 && m[0] == 2)) break;
                Console.WriteLine(odstampaj(m, n));
            }
        }
    }
}