using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Akcije
{
    class Program
    {
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            int m = int.Parse(Console.ReadLine());
            int[] ns = Console.ReadLine().Split(' ').Select(v => int.Parse(v)).ToArray();
            int[] mem;
            try
            {
                GC.AddMemoryPressure(Math.BigMul(m, m));
                mem = new int[Math.BigMul(m, m)];
            }
            catch (OutOfMemoryException) { Console.WriteLine(0); return; }
            int brojNizova = 0;

            for (int i = 0; i < m; i++)
            {
                long b = Math.BigMul(i, m);
                for (int j = 0; j < m; j++)
                    if ((mem[b + j] = ns[j]) == N) brojNizova++;
                for (int j = i; j < m - 1; j++)
                    if ((mem[b + j + 1] += mem[b + j]) == N) brojNizova++;
            }
            Console.WriteLine(brojNizova);
            Console.ReadKey();
        }
    }
}